> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get WABA settings



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/whatsapp/management.yml get /whatsapp/business_accounts/{id}/settings
openapi: 3.1.0
info:
  title: Telnyx WhatsApp Management API
  version: 2.0.0
  description: >
    API for managing WhatsApp Business Accounts (WABAs), phone numbers, and
    message templates.


    Use these endpoints to:

    - List and manage WhatsApp Business Accounts

    - Configure phone numbers for WhatsApp

    - Create and manage message templates

    - Set up webhook configurations
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /whatsapp/business_accounts/{id}/settings:
    get:
      tags:
        - Whatsapp Business Accounts
      summary: Get WABA settings
      operationId: GetWabaSettings
      parameters:
        - $ref: '#/components/parameters/WabaId'
      responses:
        '200':
          $ref: '#/components/responses/WabaSettingsResponse'
          description: WABA settings
        4XX:
          $ref: '#/components/responses/messaging_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const setting = await
            client.whatsapp.businessAccounts.settings.retrieve('id');


            console.log(setting.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            setting = client.whatsapp.business_accounts.settings.retrieve(
                "id",
            )
            print(setting.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tsetting, err := client.Whatsapp.BusinessAccounts.Settings.Get(context.TODO(), \"id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", setting.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.whatsapp.businessaccounts.settings.SettingRetrieveParams;

            import
            com.telnyx.sdk.models.whatsapp.businessaccounts.settings.SettingRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    SettingRetrieveResponse setting = client.whatsapp().businessAccounts().settings().retrieve("id");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            setting = telnyx.whatsapp.business_accounts.settings.retrieve("id")

            puts(setting)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $setting = $client->whatsapp->businessAccounts->settings->retrieve('id');

              var_dump($setting);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx whatsapp:business-accounts:settings retrieve \
              --api-key 'My API Key' \
              --id id
components:
  parameters:
    WabaId:
      name: id
      in: path
      required: true
      schema:
        type: string
      description: Whatsapp Business Account ID
  responses:
    WabaSettingsResponse:
      description: Successful response with Whatsapp business account settings
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/WabaSettings'
    messaging_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/messaging_Errors'
  schemas:
    WabaSettings:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Internal ID of Whatsapp business account
        record_type:
          type: string
          example: whatsapp_business_account_settings
        name:
          type: string
        timezone:
          type: string
          example: America/Chicago
        webhook_url:
          type: string
          format: url
          description: URL to receive Whatsapp events
        webhook_failover_url:
          type: string
          format: url
          description: Failover URL to receive Whatsapp events
        webhook_enabled:
          type: boolean
          description: Enable/disable receiving Whatsapp events
        webhook_events:
          type: array
          items:
            type: string
            description: Whatsapp event to subscribe to
        updated_at:
          type: string
          format: date-time
    messaging_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/messaging_Error'
    messaging_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          x-format: integer
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              format: json-pointer
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````